/*
 *	Delay functions
 *	See delay.h for details
 *
 *	Make sure this code is compiled with full optimization!!!
 */

#include	"delay.h"
#include	"dig_cross.h"




  /******************************************************************************
 *    DelayMs()
 *
 *    This functions provides a software millisecond delay
 ******************************************************************************/
 void DelayMs(unsigned int msec)
 {
     unsigned int tWait, tStart, int_status;

     tWait=((int)SYS_FREQ/2000)*msec;        //    SYS_FREQ        (80000000)
     tStart=ReadCoreTimer();
     while((ReadCoreTimer()-tStart)<tWait);        // wait for the time to pass

 }


